> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/allowlists/list-allowlist",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List allowlist

> List Allowlist records in an organization.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /allowlists/{org}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /allowlists/{org}:
    get:
      tags:
        - Allowlists
      summary: List allowlist
      description: List Allowlist records in an organization.
      operationId: list_allowlist_allowlists__org__get
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AllowlistResponse'
                title: Response 200 List Allowlist Allowlists  Org  Get
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    AllowlistResponse:
      properties:
        artifact_name:
          type: string
          title: Artifact Name
          description: the name of the artifact that is allowed
        fingerprint:
          type: string
          pattern: ^[a-f0-9]{64}$
          title: Fingerprint
          description: the sha256 fingerprint of the artifact that is allowed
        environment_name:
          type: string
          title: Environment Name
          description: the name of the environment for which the artifact is allowed
        timestamp:
          type: number
          title: Timestamp
          description: the timestamp when the artifact was allowed
        user_name:
          type: string
          title: User Name
          description: the name of the user who allowed the artifact
        description:
          type: string
          title: Description
          description: the reason for allow listing this artifact
      type: object
      required:
        - artifact_name
        - fingerprint
        - environment_name
        - timestamp
        - user_name
        - description
      title: AllowlistResponse
      description: Response model for an allowlist record
      examples:
        - artifact_name: linus-git
          description: Allowlist for linus-git
          environment_name: production
          fingerprint: fffd6d98c2da601a514797f0db9cc380ffe29a4312bebec5430d6fcb31d5bf4c
          timestamp: 1633123456
          user_name: John Doe
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````